disp('test002: Should return an empty model nucfeats is an empty cell array');
mkdir('test');

nucfeats = {};
param = [];
savepath = 'test';
model = train_nuc_shape_model(nucfeats, savepath, param);

assert(isempty(model));
rmdir('test');
disp('Test passed.');